Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006846opensim[REGION] OpenSim Corepublic2013-11-15 03:552014-07-29 13:42
Reporteraiaustin 
Assigned Tojustincc 
PriorityhighSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0006846: Build using .NET 4 Framework on running Robust.exe gives Add-in scan operation failed
DescriptionI am trying the .NET 4 framework build on Windows 8.1 Pro for the first time with Visual C# 2010 installed and r/24036 in use and the runprebuild.bat and compile.bat work fine (with the usual warnings - 77 in this case).

On running Robust.exe I get an apparently normal startup and module loads as expected, and then on the end I get the following message and Robust.exe crashes. There is no entry in Robust.log after the last successful module load (the built in user profiles module).

ERROR: Add-in scan operation failed. The Mono runtime may have encountered an error while trying to load an assembly.
ERROR: Add-in scan operation failed
ERROR: The add-in database could not be updated. It may be due to file corruption. Try running the setup repair utility

Unhandled Exception: System.InvalidOperationException: Extension node not found
in path: /Robust/Connector
   at Mono.Addins.ExtensionContext.AddExtensionNodeHandler(String path, ExtensionNodeEventHandler handler)
   at OpenSim.Server.Base.PluginLoader..ctor(IConfigSource config, String registryPath) in d:\Temp\opensim-b4932bd\OpenSim\Server\Base\ServerUtils.cs:line 97
   at OpenSim.Server.OpenSimServer.Main(String[] args) in d:\Temp\opensim-b4932b
d\OpenSim\Server\ServerMain.cs:line 152
Additional InformationAssuming that the problem must be the couple of Diva module .dlls I use that add the WiFi web interface to the standard build I removed them from the configuration, but I get the same crash without them.

I also tried removing reference to the user profile built in module but that also seemed to have no effect, and I got the same error and crash of Robust.exe.

To try to pin down what might be wrong I also removed reference to any connector that was named "OpenSim.Addons..." but again that had no effect.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Script Engine
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships
has duplicate 0006853closedjustincc Build using .NET 4 Framework causes OpenSim crashes on some Windows PCs 

-  Notes
(0024647)
aiaustin (developer)
2013-11-15 03:56
edited on: 2013-11-15 13:49

What is the "setup repair utility" referred to?

(0024659)
justincc (administrator)
2013-11-15 16:02

I don't see the same issue on my vanilla Robust instance under Windows XP 32-bit. What do you see if you get a new vanilla copy of the OpenSimulator git repo and build and run that without installing any plugins (or enabling anything disabled by default)?
(0024669)
aiaustin (developer)
2013-11-16 02:00

Just to report that I see exactly the same problem on a second grid on a Windows Vista 32 bit system. Previous report was for windows 8.1 on a 64 bit system.

Justin, I will try to work up a system with less enabled and report back.
(0024670)
greg0254 (reporter)
2013-11-16 02:55
edited on: 2013-11-16 03:09

Using 24047 (commit 62006baaef46) I get the same error message on my Win7 32-bit system. Robust stops working and shuts down. Have not changed my config at all. I have .Net 4 update 1 installed

(0024671)
aiaustin (developer)
2013-11-16 02:57
edited on: 2013-11-16 03:02

Testing on a fresh compile of r/24051.

Only change is to one line in Robust.HG.ini.example to alter [DatabaseService] MySQL ConnectionString.

Run of Robust.exe gives identical error to that previously reported.

Full console log is attached here...

10:39:12 - [SERVER BASE]: Starting in D:\VW\OpenSim\bin
10:39:12 - [SERVER BASE]: OpenSimulator version: OpenSim 0.8.0 Dev
10:39:12 - [SERVER BASE]: Operating system version: Microsoft Windows NT 6.0.6002 Service Pack 2, .NET platform Win32NT, 32-bitConsole log level is ALL
10:39:12 - [SERVER BASE]: Logging started to file D:\VW\OpenSim\bin\Robust.log
10:39:14 - [SERVER STATS]: Not including stats for network interface 'Loopback Pseudo-Interface 1' of type 'Loopback'.
10:39:14 - [SERVER STATS]: To include, add to comma separated list in [Monitoring]NetworkInterfaceTypes=Ethernet
10:39:14 - [SERVER STATS]: Not including stats for network interface 'Local Area Connection* 6' of type 'Tunnel'.
10:39:14 - [SERVER STATS]: To include, add to comma separated list in [Monitoring]NetworkInterfaceTypes=Ethernet
10:39:14 - [SERVER STATS]: Not including stats for network interface 'Local Area Connection* 12' of type 'Tunnel'.
10:39:14 - [SERVER STATS]: To include, add to comma separated list in [Monitoring]NetworkInterfaceTypes=Ethernet
10:39:14 - [BASE HTTP SERVER]: Starting HTTP server on port 8003
10:39:14 - [WATCHDOG]: Started tracking thread PollServiceWorkerThread0:8003, ID 6
10:39:14 - [WATCHDOG]: Started tracking thread PollServiceWorkerThread1:8003, ID 7
10:39:14 - [WATCHDOG]: Started tracking thread PollServiceWorkerThread2:8003, ID 8
10:39:14 - [WATCHDOG]: Started tracking thread LongPollServiceWatcherThread:8003 ID 9
10:39:14 - [SERVER]: Loading AssetServiceConnector on port 8003
10:39:14 - [MIGRATIONS]: AssetStore data tables already up to date at revision 8
10:39:14 - [ASSET SERVICE]: Loading default asset set from ./assets/AssetSets.xml
10:39:14 - [ASSET SERVICE]: Local asset service enabled
10:39:14 - [SERVER]: AssetServiceConnector loaded successfully
10:39:14 - [SERVER]: Loading XInventoryInConnector on port 8003
10:39:14 - [XInventoryInConnector]: Starting with config name InventoryService
10:39:14 - [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
10:39:14 - [SERVER]: XInventoryInConnector loaded successfully
10:39:14 - [SERVER]: Loading GridServiceConnector on port 8003
10:39:14 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:14 - [GRID SERVICE]: Starting...
10:39:14 - [HYPERGRID LINKER]: Starting with db OpenSim.Data.MySQL.MySqlRegionData
10:39:14 - [MIGRATIONS]: AssetStore data tables already up to date at revision 8
10:39:14 - [HYPERGRID LINKER]: Malformed URL in [GridService], variable Gatekeeper =
10:39:14 - [HYPERGRID LINKER]: Loaded all services...
10:39:14 - [SERVER]: GridServiceConnector loaded successfully
10:39:14 - [BASE HTTP SERVER]: Starting HTTP server on port 8002
10:39:14 - [WATCHDOG]: Started tracking thread PollServiceWorkerThread0:8002, ID 15
10:39:14 - [WATCHDOG]: Started tracking thread PollServiceWorkerThread1:8002, ID 16
10:39:14 - [WATCHDOG]: Started tracking thread PollServiceWorkerThread2:8002, ID 17
10:39:14 - [WATCHDOG]: Started tracking thread LongPollServiceWatcherThread:8002, ID 18
10:39:14 - [SERVER]: Loading GridInfoServerInConnector on port 8002
10:39:14 - [GRID INFO SERVICE]: Grid info service initialized with 4 keys
10:39:14 - [SERVER]: GridInfoServerInConnector loaded successfully
10:39:14 - [SERVER]: Loading AuthenticationServiceConnector on port 8003
10:39:14 - [MIGRATIONS]: AuthStore data tables already up to date at revision 3
10:39:14 - [SERVER]: AuthenticationServiceConnector loaded successfully
10:39:14 - [SERVER]: Loading OpenIdServerConnector on port 8002
10:39:14 - [MIGRATIONS]: AuthStore data tables already up to date at revision 3
10:39:14 - [MIGRATIONS]: UserAccount data tables already up to date at revision 4
10:39:14 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:14 - [GRID SERVICE]: Starting...
10:39:14 - [MIGRATIONS]: AuthStore data tables already up to date at revision 3
10:39:14 - [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
10:39:14 - [MIGRATIONS]: Avatar data tables already up to date at revision 2
10:39:14 - [AVATAR SERVICE]: Starting avatar service
10:39:14 - [OPENID]: OpenId service enabled
10:39:14 - [SERVER]: OpenIdServerConnector loaded successfully
10:39:14 - [SERVER]: Loading AvatarServiceConnector on port 8003
10:39:14 - [MIGRATIONS]: Avatar data tables already up to date at revision 2
10:39:14 - [AVATAR SERVICE]: Starting avatar service
10:39:14 - [SERVER]: AvatarServiceConnector loaded successfully
10:39:14 - [SERVER]: Loading LLLoginServiceInConnector on port 8002
10:39:14 - [MIGRATIONS]: UserAccount data tables already up to date at revision 4
10:39:14 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:14 - [GRID SERVICE]: Starting...
10:39:14 - [MIGRATIONS]: AuthStore data tables already up to date at revision 3
10:39:14 - [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
10:39:14 - [MIGRATIONS]: Avatar data tables already up to date at revision 2
10:39:14 - [AVATAR SERVICE]: Starting avatar service
10:39:14 - [MIGRATIONS]: GridUserStore data tables already up to date at revision 2
10:39:14 - [GRID USER SERVICE]: Starting user grid service
10:39:14 - [MIGRATIONS]: AuthStore data tables already up to date at revision 3
10:39:14 - [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
10:39:14 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:14 - [GRID SERVICE]: Starting...
10:39:14 - [MIGRATIONS]: Presence data tables already up to date at revision 2
10:39:14 - [PRESENCE SERVICE]: Starting presence service
10:39:14 - [MIGRATIONS]: Avatar data tables already up to date at revision 2
10:39:14 - [AVATAR SERVICE]: Starting avatar service
10:39:14 - [MIGRATIONS]: FriendsStore data tables already up to date at revision 3
10:39:14 - [MIGRATIONS]: HGTravelStore data tables already up to date at revision 1
10:39:14 - [HOME USERS SECURITY]: Starting...
10:39:14 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:14 - [GRID SERVICE]: Starting...
10:39:14 - [MIGRATIONS]: GridUserStore data tables already up to date at revision 2
10:39:14 - [GRID USER SERVICE]: Starting user grid service
10:39:14 - [GATEKEEPER SERVICE]: Malformed gatekeeper address
10:39:14 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:14 - [GRID SERVICE]: Starting...
10:39:14 - [MIGRATIONS]: Presence data tables already up to date at revision 2
10:39:14 - [PRESENCE SERVICE]: Starting presence service
10:39:14 - [MIGRATIONS]: UserAccount data tables already up to date at revision 4
10:39:14 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:14 - [GRID SERVICE]: Starting...
10:39:14 - [MIGRATIONS]: AuthStore data tables already up to date at revision 3
10:39:14 - [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
10:39:14 - [MIGRATIONS]: Avatar data tables already up to date at revision 2
10:39:14 - [AVATAR SERVICE]: Starting avatar service
10:39:14 - [MIGRATIONS]: HGTravelStore data tables already up to date at revision 1
10:39:14 - [MIGRATIONS]: GridUserStore data tables already up to date at revision 2
10:39:14 - [GRID USER SERVICE]: Starting user grid service
10:39:14 - [GATEKEEPER SERVICE]: Starting...
10:39:14 - [MIGRATIONS]: FriendsStore data tables already up to date at revision 3
10:39:14 - [MIGRATIONS]: Presence data tables already up to date at revision 2
10:39:14 - [PRESENCE SERVICE]: Starting presence service
10:39:14 - [MIGRATIONS]: UserAccount data tables already up to date at revision4
10:39:14 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:14 - [GRID SERVICE]: Starting...
10:39:14 - [MIGRATIONS]: AuthStore data tables already up to date at revision 3
10:39:14 - [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
10:39:14 - [MIGRATIONS]: Avatar data tables already up to date at revision 2
10:39:14 - [AVATAR SERVICE]: Starting avatar service
10:39:14 - [LLOGIN SERVICE]: Using instantiated LibraryService
10:39:14 - [LIBRARY]: Starting library service...
10:39:14 - [LIBRARY INVENTORY]: Loading library control file ./inventory/Libraries.xml
10:39:15 - [LLOGIN SERVICE]: Starting...
10:39:15 - [SERVER]: LLLoginServiceInConnector loaded successfully
10:39:15 - [SERVER]: Loading PresenceServiceConnector on port 8003
10:39:15 - [MIGRATIONS]: Presence data tables already up to date at revision 2
10:39:15 - [PRESENCE SERVICE]: Starting presence service
10:39:15 - [SERVER]: PresenceServiceConnector loaded successfully
10:39:15 - [SERVER]: Loading UserAccountServiceConnector on port 8003
10:39:15 - [MIGRATIONS]: UserAccount data tables already up to date at revision4
10:39:15 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:15 - [GRID SERVICE]: Starting...
10:39:15 - [MIGRATIONS]: AuthStore data tables already up to date at revision 3
10:39:15 - [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
10:39:15 - [MIGRATIONS]: Avatar data tables already up to date at revision 2
10:39:15 - [AVATAR SERVICE]: Starting avatar service
10:39:15 - [SERVER]: UserAccountServiceConnector loaded successfully
10:39:15 - [SERVER]: Loading GridUserServiceConnector on port 8003
10:39:15 - [MIGRATIONS]: GridUserStore data tables already up to date at revision 2
10:39:15 - [GRID USER SERVICE]: Starting user grid service
10:39:15 - [SERVER]: GridUserServiceConnector loaded successfully
10:39:15 - [SERVER]: Loading FriendsServiceConnector on port 8003
10:39:15 - [MIGRATIONS]: FriendsStore data tables already up to date at revision 3
10:39:15 - [SERVER]: FriendsServiceConnector loaded successfully
10:39:15 - [SERVER]: Loading MapAddServiceConnector on port 8003
10:39:15 - [MAP IMAGE SERVICE]: Starting MapImage service
10:39:15 - [MAP IMAGE HANDLER]: GridService check is OFF
10:39:15 - [SERVER]: MapAddServiceConnector loaded successfully
10:39:15 - [SERVER]: Loading MapGetServiceConnector on port 8002
10:39:15 - [SERVER]: MapGetServiceConnector loaded successfully
10:39:15 - [SERVER]: Loading GatekeeperServiceInConnector on port 8002
10:39:15 - [HYPERGRID HANDLERS]: Active
10:39:15 - [SERVER]: GatekeeperServiceInConnector loaded successfully
10:39:15 - [SERVER]: Loading UserAgentServerConnector on port 8002
10:39:15 - [MIGRATIONS]: HGTravelStore data tables already up to date at revision 1
10:39:15 - [SERVER]: UserAgentServerConnector loaded successfully
10:39:15 - [SERVER]: Loading HeloServiceInConnector on port 8002
10:39:15 - [SERVER]: HeloServiceInConnector loaded successfully
10:39:15 - [SERVER]: Loading HGFriendsServerConnector on port 8002
10:39:15 - [MIGRATIONS]: FriendsStore data tables already up to date at revision 3
10:39:15 - [MIGRATIONS]: UserAccount data tables already up to date at revision4
10:39:15 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:15 - [GRID SERVICE]: Starting...
10:39:15 - [MIGRATIONS]: AuthStore data tables already up to date at revision 3
10:39:15 - [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
10:39:15 - [MIGRATIONS]: Avatar data tables already up to date at revision 2
10:39:15 - [AVATAR SERVICE]: Starting avatar service
10:39:15 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:15 - [GRID SERVICE]: Starting...
10:39:15 - [MIGRATIONS]: Presence data tables already up to date at revision 2
10:39:15 - [PRESENCE SERVICE]: Starting presence service
10:39:15 - [HGFRIENDS SERVICE]: Starting...
10:39:15 - [MIGRATIONS]: HGTravelStore data tables already up to date at revision 1
10:39:15 - [HGFRIENDS HANDLER]: HGFriendsServerPostHandler is On (robust)
10:39:15 - [SERVER]: HGFriendsServerConnector loaded successfully
10:39:15 - [SERVER]: Loading InstantMessageServerConnector on port 8002
10:39:15 - [HG IM SERVICE]: Starting... InRobust? True
10:39:15 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:15 - [GRID SERVICE]: Starting...
10:39:15 - [MIGRATIONS]: Presence data tables already up to date at revision 2
10:39:15 - [PRESENCE SERVICE]: Starting presence service
10:39:15 - [MIGRATIONS]: HGTravelStore data tables already up to date at revision 1
10:39:15 - [MIGRATIONS]: IM_Store data tables already up to date at revision 2
10:39:15 - [SERVER]: InstantMessageServerConnector loaded successfully
10:39:15 - [SERVER]: Loading XInventoryInConnector on port 8002
10:39:15 - [XInventoryInConnector]: Starting with config name HGInventoryService
10:39:15 - [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
10:39:15 - [HG SUITCASE INVENTORY SERVICE]: Starting with config name HGInventoryService
10:39:15 - [MIGRATIONS]: UserAccount data tables already up to date at revision4
10:39:15 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:15 - [GRID SERVICE]: Starting...
10:39:15 - [MIGRATIONS]: AuthStore data tables already up to date at revision 3
10:39:15 - [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
10:39:15 - [MIGRATIONS]: Avatar data tables already up to date at revision 2
10:39:15 - [AVATAR SERVICE]: Starting avatar service
10:39:15 - [MIGRATIONS]: Avatar data tables already up to date at revision 2
10:39:15 - [AVATAR SERVICE]: Starting avatar service
10:39:15 - [HG SUITCASE INVENTORY SERVICE]: Starting...
10:39:15 - [SERVER]: XInventoryInConnector loaded successfully
10:39:15 - [SERVER]: Loading AssetServiceConnector on port 8002
10:39:15 - [MIGRATIONS]: AssetStore data tables already up to date at revision 8
10:39:15 - [HGAsset Service]: Starting
10:39:15 - [MIGRATIONS]: UserAccount data tables already up to date at revision4
10:39:15 - [MIGRATIONS]: GridStore data tables already up to date at revision 9
10:39:15 - [GRID SERVICE]: Starting...
10:39:15 - [MIGRATIONS]: AuthStore data tables already up to date at revision 3
10:39:15 - [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
10:39:15 - [MIGRATIONS]: Avatar data tables already up to date at revision 2
10:39:15 - [AVATAR SERVICE]: Starting avatar service
10:39:15 - [SERVER]: AssetServiceConnector loaded successfully
ERROR: Add-in scan operation failed. The Mono runtime may have encountered an error while trying to load an assembly.
ERROR: Add-in scan operation failed
ERROR: The add-in database could not be updated. It may be due to file corruption. Try running the setup repair utility

(0024672)
aiaustin (developer)
2013-11-16 03:00
edited on: 2013-11-16 03:01

Also tried a startup of Robust.exe using Robust.ini (rather than my usual Robust.HG.ini) using the default r/24051 Robust.ini.example and only change being the data base connection string, and I get the same error.

I assume this could be a different compilation environment issue, but where to start to pin it down as it looks like its not any of the add in modules like the core provided user profiles and offline messaging or the non-core Wifi that I use.

(0024673)
aiaustin (developer)
2013-11-16 03:06
edited on: 2013-11-16 03:06

Greg... is this your first attempt at compiling and running with .NET 4 setup?

I.e. was your previous working system earlier than r/24021?

My own last working versions were r/24020 on Windows 8.1 64 bit and r/23996 on Windows Vista 32 bit.

(0024674)
greg0254 (reporter)
2013-11-16 03:11
edited on: 2013-11-16 03:12

Yes austin, this is my first time attempting to run with .NET 4. Prior to this I was also on r/23996, and it ran without error. I'm on Windows 7 32-bit.

(0024678)
Bruce (reporter)
2013-11-16 10:10
edited on: 2013-11-16 20:07

Win2k12 x64 server, .NET 4, Visual C# 2010 installed and r24035 in HG enabled standalone mode. Using runprebuild.bat and compile.bat apparently works without errors (other than the warnings mentioned by aiaustin above). However, the instance fails on start up with the following errors:

2013-11-14 16:22:58,796 ERROR - OpenSim.Server.Base.ServerUtils [SERVER UTILS]: Error loading plugin OpenSim.Region.Framework.Interfaces.ISimulationDataService from OpenSim.Services.Connectors.dll. Exception: Could not find a storage interface in the given module, at System.RuntimeMethodHandle.InvokeMethod(Object target, Object[] arguments, Signature sig, Boolean constructor)
   at System.Reflection.RuntimeConstructorInfo.Invoke(BindingFlags invokeAttr, Binder binder, Object[] parameters, CultureInfo culture)
   at System.RuntimeType.CreateInstanceImpl(BindingFlags bindingAttr, Binder binder, Object[] args, CultureInfo culture, Object[] activationAttributes, StackCrawlMark& stackMark)
   at System.Activator.CreateInstance(Type type, BindingFlags bindingAttr, Binder binder, Object[] args, CultureInfo culture, Object[] activationAttributes)
   at System.Activator.CreateInstance(Type type, Object[] args)
   at OpenSim.Server.Base.ServerUtils.LoadPlugin[T](String dllName, String className, Object[] args) in c:\Opensim\Program Files\Opensim\opensim-r24035\opensim-8114ae0\OpenSim\Server\Base\ServerUtils.cs:line 276

2013-11-14 16:22:58,796 ERROR - OpenSim.Server.Base.ServerUtils [SERVER UTILS]: Error loading plugin OpenSim.Services.Connectors.dll: Exception has been thrown by the target of an invocation. args.Length 1

2013-11-14 16:22:58,796 ERROR - OpenSim.Application [APPLICATION]:
APPLICATION EXCEPTION DETECTED: System.UnhandledExceptionEventArgs

Exception: System.Exception: Could not load an ISimulationDataService implementation from OpenSim.Services.Connectors.dll:SimulationDataService, as configured in the LocalServiceModule parameter of the [SimulationDataStore] config section.
   at OpenSim.OpenSimBase.StartupSpecific() in c:\Opensim\Program Files\Opensim\opensim-r24035\opensim-8114ae0\OpenSim\Region\Application\OpenSimBase.cs:line 212
   at OpenSim.OpenSim.StartupSpecific() in c:\Opensim\Program Files\Opensim\opensim-r24035\opensim-8114ae0\OpenSim\Region\Application\OpenSim.cs:line 168
   at OpenSim.Framework.Servers.BaseOpenSimServer.Startup() in c:\Opensim\Program Files\Opensim\opensim-r24035\opensim-8114ae0\OpenSim\Framework\Servers\BaseOpenSimServer.cs:line 134
   at OpenSim.Application.Main(String[] args) in c:\Opensim\Program Files\Opensim\opensim-r24035\opensim-8114ae0\OpenSim\Region\Application\Application.cs:line 325

Application is terminating: True

Removing all Diva dll files and using OpenSim.Data.MySQL.dll instead of Diva.Data.MySQL.dll
results in instance not loading any regions.

(0024684)
Bruce (reporter)
2013-11-16 14:42
edited on: 2013-11-16 20:08

Win2k12 x64 server, .NET 4, Visual C# 2010 installed and >>r24051<< in HG enabled standalone mode. Using runprebuild.bat and compile.bat. No Diva dll files and using OpenSim.Data.MySQL.dll This is how far the instance goes: (last commit that worked was r24023)

2013-11-16 18:24:34,405 INFO - OpenSim.Application [OPENSIM MAIN]: configured log4net using default OpenSim.exe.config
2013-11-16 18:24:34,436 INFO - OpenSim.Application [OPENSIM MAIN]: System Locale is en-US
2013-11-16 18:24:34,451 INFO - OpenSim.Application [OPENSIM MAIN]: Environment variable MONO_THREADS_PER_CPU is unset
2013-11-16 18:24:34,451 INFO - OpenSim.Application [OPENSIM MAIN]: Runtime gave us 4 min worker threads and 4 min IOCP threads
2013-11-16 18:24:34,451 INFO - OpenSim.Application [OPENSIM MAIN]: Runtime gave us 32767 max worker threads and 1000 max IOCP threads
2013-11-16 18:24:34,451 INFO - OpenSim.Application [OPENSIM MAIN]: Limiting max worker threads to 1000
2013-11-16 18:24:34,451 INFO - OpenSim.Application [OPENSIM MAIN]: Threadpool set to 1000 max worker threads and 1000 max IOCP threads
2013-11-16 18:24:34,467 INFO - OpenSim.Application [OPENSIM MAIN]: Environment is supported by OpenSimulator.
2013-11-16 18:24:34,498 INFO - OpenSim.ConfigurationLoader [CONFIG]: Reading configuration settings
2013-11-16 18:24:34,498 INFO - OpenSim.ConfigurationLoader [CONFIG]: Reading configuration file C:\Opensim-r24051\bin\OpenSim.ini
2013-11-16 18:24:34,561 INFO - OpenSim.ConfigurationLoader [CONFIG]: Reading configuration file C:\Opensim-r24051\bin\config-include\StandaloneHypergrid.ini
2013-11-16 18:24:34,561 INFO - OpenSim.ConfigurationLoader [CONFIG]: Reading configuration file C:\Opensim-r24051\bin\config-include\StandaloneCommon.ini
2013-11-16 18:24:34,561 INFO - OpenSim.ConfigurationLoader [CONFIG]: Reading configuration file C:\Opensim-r24051\bin\config-include\FlotsamCache.ini
2013-11-16 18:24:34,576 INFO - OpenSim.OpenSim [OPENSIM MAIN]: Using async_call_method UnsafeQueueUserWorkItem
2013-11-16 18:24:34,592 INFO - OpenSim.OpenSim ====================================================================
2013-11-16 18:24:34,592 INFO - OpenSim.OpenSim ========================= STARTING OPENSIM =========================
2013-11-16 18:24:34,592 INFO - OpenSim.OpenSim ====================================================================
2013-11-16 18:24:34,607 INFO - OpenSim.Framework.Servers.ServerBase [SERVER BASE]: Starting in C:\Opensim-r24051\bin
2013-11-16 18:24:34,607 INFO - OpenSim.Framework.Servers.ServerBase [SERVER BASE]: OpenSimulator version: OpenSim 0.8.0 Dev HG 2.0 (r24051 of 2013-11-16)
2013-11-16 18:24:34,607 INFO - OpenSim.Framework.Servers.ServerBase [SERVER BASE]: Operating system version: Microsoft Windows NT 6.2.9200.0, .NET platform Win32NT, 64-bit
2013-11-16 18:24:34,623 INFO - OpenSim.Framework.Servers.ServerBase [SERVER BASE]: Logging started to file C:\Opensim-r24051\bin\OpenSim.log
2013-11-16 18:24:35,091 DEBUG - OpenSim.Data.Migration [MIGRATIONS]: RegionStore data tables already up to date at revision 49
2013-11-16 18:24:35,091 INFO - OpenSim.Data.MySQL.MySQLEstateStore [REGION DB]: MySql - connecting: Data Source=***;Database=***;User ID=***;Password=***;Old Guids=true;
2013-11-16 18:24:35,107 DEBUG - OpenSim.Data.MySQL.MySQLEstateStore [REGION DB]: Connection wait timeout 28860 seconds
2013-11-16 18:24:35,107 DEBUG - OpenSim.Data.Migration [MIGRATIONS]: EstateStore data tables already up to date at revision 33
2013-11-16 18:24:35,122 INFO - OpenSim.Region.ClientStack.ClientStackManager [CLIENTSTACK]: Attempting to load OpenSim.Region.ClientStack.LindenUDP.dll
2013-11-16 18:24:35,169 INFO - OpenSim.Region.ClientStack.ClientStackManager [CLIENTSTACK]: Added IClientNetworkServer Interface
2013-11-16 18:24:35,185 INFO - OpenSim.Region.ClientStack.RegionApplicationBase [REGION SERVER]: Starting HTTP server on port 9000
2013-11-16 18:24:35,185 INFO - OpenSim.Framework.Servers.HttpServer.BaseHttpServer [BASE HTTP SERVER]: Starting HTTP server on port 9000
2013-11-16 18:24:35,231 DEBUG - OpenSim.Framework.Monitoring.Watchdog [WATCHDOG]: Started tracking thread PollServiceWorkerThread0:9000, ID 9
2013-11-16 18:24:35,247 DEBUG - OpenSim.Framework.Monitoring.Watchdog [WATCHDOG]: Started tracking thread PollServiceWorkerThread1:9000, ID 10
2013-11-16 18:24:35,247 DEBUG - OpenSim.Framework.Monitoring.Watchdog [WATCHDOG]: Started tracking thread PollServiceWorkerThread2:9000, ID 11
2013-11-16 18:24:35,247 DEBUG - OpenSim.Framework.Monitoring.Watchdog [WATCHDOG]: Started tracking thread LongPollServiceWatcherThread:9000, ID 12
2013-11-16 18:24:35,575 DEBUG - OpenSim.Framework.Monitoring.ServerStatsCollector [SERVER STATS] Not including stats for network interface 'Loopback Pseudo-Interface 1' of type 'Loopback'.
2013-11-16 18:24:35,575 DEBUG - OpenSim.Framework.Monitoring.ServerStatsCollector [SERVER STATS] To include, add to comma separated list in [Monitoring]NetworkInterfaceTypes=Ethernet
2013-11-16 18:24:35,575 DEBUG - OpenSim.Framework.Monitoring.ServerStatsCollector [SERVER STATS] Not including stats for network interface '6TO4 Adapter' of type 'Tunnel'.
2013-11-16 18:24:35,575 DEBUG - OpenSim.Framework.Monitoring.ServerStatsCollector [SERVER STATS] To include, add to comma separated list in [Monitoring]NetworkInterfaceTypes=Ethernet
2013-11-16 18:24:35,575 DEBUG - OpenSim.Framework.Monitoring.ServerStatsCollector [SERVER STATS] Not including stats for network interface 'Teredo Tunneling Pseudo-Interface' of type 'Tunnel'.
2013-11-16 18:24:35,575 DEBUG - OpenSim.Framework.Monitoring.ServerStatsCollector [SERVER STATS] To include, add to comma separated list in [Monitoring]NetworkInterfaceTypes=Ethernet
2013-11-16 18:24:35,590 INFO - OpenSim.Framework.PluginLoader`1 [PLUGINS]: Initializing addin manager
2013-11-16 18:24:35,809 INFO - OpenSim.Framework.PluginLoader`1 [PLUGINS]: Loading extension point /OpenSim/Startup
2013-11-16 18:24:35,856 INFO - OpenSim.Framework.Servers.ServerBase [SERVER BASE]: Running startup_commands.txt
2013-11-16 18:24:35,856 INFO - OpenSim.Framework.Servers.ServerBase [SERVER BASE]: Running 'fcache assets'
2013-11-16 18:24:35,856 INFO - OpenSim.Framework.Servers.BaseOpenSimServer [STARTUP]: Non-script portion of startup took 0m 1s. PLEASE WAIT FOR LOGINS TO BE ENABLED ON REGIONS ONCE SCRIPTS HAVE STARTED.

(0024691)
Bruce (reporter)
2013-11-16 20:17

And below is the complete log when using Diva dll files and Diva.Data.MySQL.dll instead of OpenSim.Data.MySQL.dll

2013-11-16 22:49:24,290 INFO - OpenSim.Application [OPENSIM MAIN]: configured log4net using default OpenSim.exe.config
2013-11-16 22:49:24,321 INFO - OpenSim.Application [OPENSIM MAIN]: System Locale is en-US
2013-11-16 22:49:24,336 INFO - OpenSim.Application [OPENSIM MAIN]: Environment variable MONO_THREADS_PER_CPU is unset
2013-11-16 22:49:24,336 INFO - OpenSim.Application [OPENSIM MAIN]: Runtime gave us 4 min worker threads and 4 min IOCP threads
2013-11-16 22:49:24,336 INFO - OpenSim.Application [OPENSIM MAIN]: Runtime gave us 32767 max worker threads and 1000 max IOCP threads
2013-11-16 22:49:24,336 INFO - OpenSim.Application [OPENSIM MAIN]: Limiting max worker threads to 1000
2013-11-16 22:49:24,336 INFO - OpenSim.Application [OPENSIM MAIN]: Threadpool set to 1000 max worker threads and 1000 max IOCP threads
2013-11-16 22:49:24,352 INFO - OpenSim.Application [OPENSIM MAIN]: Environment is supported by OpenSimulator.
2013-11-16 22:49:24,383 INFO - OpenSim.ConfigurationLoader [CONFIG]: Reading configuration settings
2013-11-16 22:49:24,399 INFO - OpenSim.ConfigurationLoader [CONFIG]: Reading configuration file C:\Opensim-r24051\bin\OpenSim.ini
2013-11-16 22:49:24,446 INFO - OpenSim.ConfigurationLoader [CONFIG]: Reading configuration file C:\Opensim-r24051\bin\config-include\Standalone.ini
2013-11-16 22:49:24,446 INFO - OpenSim.ConfigurationLoader [CONFIG]: Reading configuration file C:\Opensim-r24051\bin\config-include\StandaloneCommon.ini
2013-11-16 22:49:24,446 INFO - OpenSim.ConfigurationLoader [CONFIG]: Reading configuration file C:\Opensim-r24051\bin\config-include\FlotsamCache.ini
2013-11-16 22:49:24,461 INFO - OpenSim.OpenSim [OPENSIM MAIN]: Using async_call_method UnsafeQueueUserWorkItem
2013-11-16 22:49:24,477 INFO - OpenSim.OpenSim ====================================================================
2013-11-16 22:49:24,477 INFO - OpenSim.OpenSim ========================= STARTING OPENSIM =========================
2013-11-16 22:49:24,477 INFO - OpenSim.OpenSim ====================================================================
2013-11-16 22:49:24,492 INFO - OpenSim.Framework.Servers.ServerBase [SERVER BASE]: Starting in C:\Opensim-r24051\bin
2013-11-16 22:49:24,492 INFO - OpenSim.Framework.Servers.ServerBase [SERVER BASE]: OpenSimulator version: OpenSim 0.8.0 Dev HG 2.0 (r24051 of 2013-11-16)
2013-11-16 22:49:24,492 INFO - OpenSim.Framework.Servers.ServerBase [SERVER BASE]: Operating system version: Microsoft Windows NT 6.2.9200.0, .NET platform Win32NT, 64-bit
2013-11-16 22:49:24,508 INFO - OpenSim.Framework.Servers.ServerBase [SERVER BASE]: Logging started to file C:\Opensim-r24051\bin\OpenSim.log

2013-11-16 22:49:24,570 ERROR - OpenSim.Services.Base.ServiceBase [SERVICE BASE]: Failed to load plugin OpenSim.Region.Framework.Interfaces.ISimulationDataStore from Diva.Data.MySQL.dll with args Data Source=***;Database=***;User ID=***;Password=***;Old Guids=true;
System.IO.FileLoadException: Could not load file or assembly 'file:///C:\Opensim-r24051\bin\Diva.Data.MySQL.dll' [^] or one of its dependencies. Operation is not supported. (Exception from HRESULT: 0x80131515)
File name: 'file:///C:\Opensim-r24051\bin\Diva.Data.MySQL.dll' [^] ---> System.NotSupportedException: An attempt was made to load an assembly from a network location which would have caused the assembly to be sandboxed in previous versions of the .NET Framework. This release of the .NET Framework does not enable CAS policy by default, so this load may be dangerous. If this load is not intended to sandbox the assembly, please enable the loadFromRemoteSources switch. See http://go.microsoft.com/fwlink/?LinkId=155569 [^] for more information.
   at System.Reflection.RuntimeAssembly._nLoad(AssemblyName fileName, String codeBase, Evidence assemblySecurity, RuntimeAssembly locationHint, StackCrawlMark& stackMark, IntPtr pPrivHostBinder, Boolean throwOnFileNotFound, Boolean forIntrospection, Boolean suppressSecurityChecks)
   at System.Reflection.RuntimeAssembly.InternalLoadAssemblyName(AssemblyName assemblyRef, Evidence assemblySecurity, RuntimeAssembly reqAssembly, StackCrawlMark& stackMark, IntPtr pPrivHostBinder, Boolean throwOnFileNotFound, Boolean forIntrospection, Boolean suppressSecurityChecks)
   at System.Reflection.RuntimeAssembly.InternalLoadAssemblyName(AssemblyName assemblyRef, Evidence assemblySecurity, RuntimeAssembly reqAssembly, StackCrawlMark& stackMark, Boolean throwOnFileNotFound, Boolean forIntrospection, Boolean suppressSecurityChecks)
   at System.Reflection.RuntimeAssembly.InternalLoadFrom(String assemblyFile, Evidence securityEvidence, Byte[] hashValue, AssemblyHashAlgorithm hashAlgorithm, Boolean forIntrospection, Boolean suppressSecurityChecks, StackCrawlMark& stackMark)
   at System.Reflection.Assembly.LoadFrom(String assemblyFile)
   at OpenSim.Services.Base.ServiceBase.LoadPlugin[T](String dllName, String className, Object[] args) in c:\Opensim\Program Files\Opensim\opensim-r24051\opensim-f94d07f\OpenSim\Services\Base\ServiceBase.cs:line 66

2013-11-16 22:49:24,570 ERROR - OpenSim.Server.Base.ServerUtils [SERVER UTILS]: Error loading plugin OpenSim.Region.Framework.Interfaces.ISimulationDataService from OpenSim.Services.Connectors.dll. Exception: Could not find a storage interface in the given module, at System.RuntimeMethodHandle.InvokeMethod(Object target, Object[] arguments, Signature sig, Boolean constructor)
   at System.Reflection.RuntimeConstructorInfo.Invoke(BindingFlags invokeAttr, Binder binder, Object[] parameters, CultureInfo culture)
   at System.RuntimeType.CreateInstanceImpl(BindingFlags bindingAttr, Binder binder, Object[] args, CultureInfo culture, Object[] activationAttributes, StackCrawlMark& stackMark)
   at System.Activator.CreateInstance(Type type, BindingFlags bindingAttr, Binder binder, Object[] args, CultureInfo culture, Object[] activationAttributes)
   at System.Activator.CreateInstance(Type type, Object[] args)
   at OpenSim.Server.Base.ServerUtils.LoadPlugin[T](String dllName, String className, Object[] args) in c:\Opensim\Program Files\Opensim\opensim-r24051\opensim-f94d07f\OpenSim\Server\Base\ServerUtils.cs:line 276

2013-11-16 22:49:24,586 ERROR - OpenSim.Server.Base.ServerUtils [SERVER UTILS]: Error loading plugin OpenSim.Services.Connectors.dll: Exception has been thrown by the target of an invocation. args.Length 1

2013-11-16 22:49:24,586 ERROR - OpenSim.Application [APPLICATION]:
APPLICATION EXCEPTION DETECTED: System.UnhandledExceptionEventArgs

Exception: System.Exception: Could not load an ISimulationDataService implementation from OpenSim.Services.Connectors.dll:SimulationDataService, as configured in the LocalServiceModule parameter of the [SimulationDataStore] config section.
   at OpenSim.OpenSimBase.StartupSpecific() in c:\Opensim\Program Files\Opensim\opensim-r24051\opensim-f94d07f\OpenSim\Region\Application\OpenSimBase.cs:line 212
   at OpenSim.OpenSim.StartupSpecific() in c:\Opensim\Program Files\Opensim\opensim-r24051\opensim-f94d07f\OpenSim\Region\Application\OpenSim.cs:line 168
   at OpenSim.Framework.Servers.BaseOpenSimServer.Startup() in c:\Opensim\Program Files\Opensim\opensim-r24051\opensim-f94d07f\OpenSim\Framework\Servers\BaseOpenSimServer.cs:line 134
   at OpenSim.Application.Main(String[] args) in c:\Opensim\Program Files\Opensim\opensim-r24051\opensim-f94d07f\OpenSim\Region\Application\Application.cs:line 325

Application is terminating: True
(0024695)
Bruce (reporter)
2013-11-16 21:14
edited on: 2013-11-16 21:16

Windows error log:

Application: OpenSim.exe
Framework Version: v4.0.30319
Description: The process was terminated due to an unhandled exception.
Exception Info: System.Exception
Stack:
   at OpenSim.OpenSimBase.StartupSpecific()
   at OpenSim.OpenSim.StartupSpecific()
   at OpenSim.Framework.Servers.BaseOpenSimServer.Startup()
   at OpenSim.Application.Main(System.String[])

AND

Faulting application name: OpenSim.exe, version: 0.0.0.0, time stamp: 0x5287e801
Faulting module name: KERNELBASE.dll, version: 6.2.9200.16451, time stamp: 0x50988aa6
Exception code: 0xe0434352
Fault offset: 0x000000000003811c
Faulting process id: 0x1e70
Faulting application start time: 0x01cee3486e8d56af
Faulting application path: C:\Opensim-r24051\bin\OpenSim.exe
Faulting module path: C:\Windows\system32\KERNELBASE.dll
Report Id: acbccd3c-4f3b-11e3-941d-000c29de4af2
Faulting package full name:
Faulting package-relative application ID:

(0024697)
aiaustin (developer)
2013-11-17 01:33
edited on: 2013-11-17 08:02

Bruce, I think you have a separate problem to the original reported "Add-in scan operation failed" I see just running Robust,.exe, though I dare say I would run up against the errors you are indicating when I get to the stage of being able to start the region servers too, as I am though seeing the same error as you now on the OSGrid add on release based on r/23051 when starting OpenSim.exe in that which throws errors warning about...

An attempt was made to load an assembly from a network location which would have caused the assembly to be sandboxed in previous versions of the .NET Framework. This release of the .NET Framework does not enable CAS policy by default, so this load may be dangerous. If this load is not intended to sandbox the assembly, please enable the loadFromRemoteSources switch. See http://go.microsoft.com/fwlink/?LinkId=155569 [^] for more information.


Full log of starting an OSGrid add on region setup with a local SQLite region database...
-------

15:20:01 - [SERVER UTILS]: Error loading plugin from OpenSim.Services.Connectors
.dllSystem.IO.FileLoadException: Could not load file or assembly 'file:///D:\VW\ [^]
OSGrid-MySQL-Vue\bin\OpenSim.Services.Connectors.dll' or one of its dependen
cies. Operation is not supported. (Exception from HRESULT: 0x80131515)
File name: 'file:///D:\VW\OSGrid-MySQL-Vue\bin\OpenSim.Services.Connectors.d [^]
ll' ---> System.NotSupportedException: An attempt was made to load an assembly f
rom a network location which would have caused the assembly to be sandboxed in p
revious versions of the .NET Framework. This release of the .NET Framework does
not enable CAS policy by default, so this load may be dangerous. If this load is
 not intended to sandbox the assembly, please enable the loadFromRemoteSources s
witch. See http://go.microsoft.com/fwlink/?LinkId=155569 [^] for more information.
   at System.Reflection.RuntimeAssembly._nLoad(AssemblyName fileName, String cod
eBase, Evidence assemblySecurity, RuntimeAssembly locationHint, StackCrawlMark&
stackMark, Boolean throwOnFileNotFound, Boolean forIntrospection, Boolean suppre
ssSecurityChecks)
   at System.Reflection.RuntimeAssembly.nLoad(AssemblyName fileName, String code
Base, Evidence assemblySecurity, RuntimeAssembly locationHint, StackCrawlMark& s
tackMark, Boolean throwOnFileNotFound, Boolean forIntrospection, Boolean suppres
sSecurityChecks)
   at System.Reflection.RuntimeAssembly.InternalLoadAssemblyName(AssemblyName as
semblyRef, Evidence assemblySecurity, StackCrawlMark& stackMark, Boolean forIntr
ospection, Boolean suppressSecurityChecks)
   at System.Reflection.RuntimeAssembly.InternalLoadFrom(String assemblyFile, Ev
idence securityEvidence, Byte[] hashValue, AssemblyHashAlgorithm hashAlgorithm,
Boolean forIntrospection, Boolean suppressSecurityChecks, StackCrawlMark& stackM
ark)
   at System.Reflection.Assembly.LoadFrom(String assemblyFile)
   at OpenSim.Server.Base.ServerUtils.LoadPlugin[T](String dllName, String class
Name, Object[] args) in k:\OSGRID\opensim-f94d07f\OpenSim\Server\Base\ServerUtil
s.cs:line 259
15:20:01 - [APPLICATION]:
APPLICATION EXCEPTION DETECTED: System.UnhandledExceptionEventArgs

Exception: System.Exception: Could not load an ISimulationDataService implementa
tion from OpenSim.Services.Connectors.dll:SimulationDataService, as configured i
n the LocalServiceModule parameter of the [SimulationDataStore] config section.
   at OpenSim.OpenSimBase.StartupSpecific() in k:\OSGRID\opensim-f94d07f\OpenSim
\Region\Application\OpenSimBase.cs:line 206
   at OpenSim.OpenSim.StartupSpecific() in k:\OSGRID\opensim-f94d07f\OpenSim\Reg
ion\Application\OpenSim.cs:line 168
   at OpenSim.Framework.Servers.BaseOpenSimServer.Startup() in k:\OSGRID\opensim
-f94d07f\OpenSim\Framework\Servers\BaseOpenSimServer.cs:line 134
   at OpenSim.Application.Main(String[] args) in k:\OSGRID\opensim-f94d07f\OpenS
im\Region\Application\Application.cs:line 325

Application is terminating: True

(0024703)
aiaustin (developer)
2013-11-17 07:46
edited on: 2013-11-17 07:56

I tried things with the Visual C# 2010 Express registration code added (prior to the expiry of the 30 day trial period), and tried with Windows Update to add all available updates including Visual Studio Service Pack 1. That made no difference too, I still get the "ERROR: Add-in scan operation failed." and OSGrid add on region issues.

(0024704)
greg0254 (reporter)
2013-11-17 10:25
edited on: 2013-11-17 10:40

Based on Austin's earlier posting, I tried adding the 'loadFromRemoteSources' parameter to the <runtime> section of Robust.exe.config, and Robust now starts for me without error.

  <runtime>
    <loadFromRemoteSources enabled="true" />
    <gcConcurrent enabled="true" />
    <gcServer enabled="true" />
  </runtime>

Looks like the same change is needed in Opensim.exe.config so that it loads everything.

(0024706)
aiaustin (developer)
2013-11-17 11:09

Nice Greg, I will try and confirm that as soon as I get in to the office tomorrow morning.

But why is "remote sources loading " occuring at all for a file on the local file system within the OpenSim install directories?

And I still have no idea what the "setup repair utility" is? I guess this must be mono or .net related rather than anything related to OpenSim? So it makes the error message confusing for OpenSim configurers.
(0024707)
aiaustin (developer)
2013-11-17 11:31
edited on: 2013-11-17 12:34

I did a quick test on an experimental Openvue grid similar to our live grid... running on Windows Vista 32 bit system. With Greg's extra line in Robust.exe.config, Robust.exe does not crash on startup now.,. but I do get one new error

ERROR: There was an error while scanning assembly: D:\VW\OpenSim\bin\openjpeg-do
tnet-x86_64.dll (Format of the executable (.exe) or library (.dll) is invalid.)
ERROR: There was an error while scanning assembly: D:\VW\OpenSim\bin\openjpeg-do
tnet.dll (Format of the executable (.exe) or library (.dll) is invalid.)

My consequent run of OpenSim.exe to start the sample regions gets as far as

19:21:35 - [STARTUP]: Non-script portion of startup took 0m 1s. PLEASE WAIT FOR
 LOGINS TO BE ENABLED ON REGIONS ONCE SCRIPTS HAVE STARTED.

and the prompt is active, but it gets no further and there are no errors in the OpenSim.log file. Logins are not possible. I will investigate this further tomorrow.

(0024708)
aiaustin (developer)
2013-11-17 11:39
edited on: 2013-11-18 02:19

Okay, I have made progress... pretty obvious really... the same extra line needs to be added to the <runtime> section in OpenSim.exe.config too

   <loadFromRemoteSources enabled="true" />

Now I have my test grid working at r/24051 0.8.0 dev master in HG mode with the precompiled 0.7.6 Wifi Diva DLLs added and all my usual core addins and I have logged in my avatar with Firestorm.

I will try our live grid and OSGrid addon regions with the extra line in each of Robust.exe.config and OpenSim.exe.conmfig tomorrow and report back.

So, the fox seems to be to add these two lines. But perhaps the question should be why these are needed by SOME people at all, and others in some environments do not seem to require them.

(0024709)
Bruce (reporter)
2013-11-17 11:40
edited on: 2013-11-17 12:09

Thank you very much Greg. Adding <loadFromRemoteSources enabled="true" /> line to OpenSim.exe.config solved the problem. I now have to find a tweak for WiFi web interface to work.

(0024711)
aiaustin (developer)
2013-11-17 12:33
edited on: 2013-11-18 02:19

Bruce, I have Wifi working in my setup and am using the Diva MySQL Data dll. I made no changes to my configs for that. I did not recompile either, I used the usual precompiled .dlls using the 0.7.6 release zip.

Anyone else seeing the openjpeg .dll issue in Robust.exe?

(0024712)
kenvc (reporter)
2013-11-17 12:36

All I had to do it change the reference in all the add-on folder prebuild.xml files to use framework v4.0. After that, wifi and all other add-ons I am using compiled with no issues right along with opensim.
(0024719)
aiaustin (developer)
2013-11-18 03:12

On OpenSim Dev Mailing List...

At 11:00 18/11/2013, Zadark Portal wrote:
>> A number of supporting libraries including Mono.Addins.dll are built
>> .Net 2.0. Windows provides NET framework for both x64 and x86 Ensure
>> you have C:\Windows\Microsoft.NET\Framework64\v2.0.50727
>> and C:\Windows\Microsoft.NET\Framework\v2.0.50727

I am not actually using Visual Studio directly at all, just msbuild via the compile.bat script. But I checked the .NET 2.0 framework libraries you mention below and they are installed on all our systems already. The 4.0 Framework version installed is v4.0.30319
(0024722)
aiaustin (developer)
2013-11-18 04:06

I note that the OpenSim.exe.config file included in the 16-Nov-2013 r/24051 based OSGrid add on region prebuilt release from

     http://www.osgrid.org/index.php/downloads [^]

includes already the <resources> section extra line

     <loadFromRemoteSources enabled="true"/>

whereas the same file in the GIT master version of r/24051 does not include this line.
(0024723)
aiaustin (developer)
2013-11-18 04:08
edited on: 2013-11-20 03:38

OSGrid prebuilt add on region version from 16-Nov-2013 based on r/24051 now works for me since it includes the extra line in OpenSim.exe.config

But also note that "unblocking" the downloaded zip file prior to use fixes the problem even without this fix. See

http://opensimulator.org/mantis/view.php?id=6853#c24729 [^]

(0024724)
aiaustin (developer)
2013-11-18 04:30
edited on: 2013-11-18 07:24

These issues may or may not be related to the change to .NET 4.0 but I just jot them here as I have not yet investigated the causes... These are new warnings or red errors shwoing when running with r/24051 (.NET 4.0) that were not showing in previous runs up to r/24020 (.NET 3.5)

In OpenSim.exe console log...

12:16:43 - [WARP 3D IMAGE MODULE]: Error decoding JPEG2000 texture a43e6800-c03c-4975-8539-9d91e8140083 (6600 bytes): Error while reading bit stream header or parsing packets.
12:16:43 - [WARP 3D IMAGE MODULE]: Error decoding JPEG2000 texture 7f091f5f-b6a2-464b-a63d-03b6e6db9a07 (24600 bytes): Error while reading bit stream header or parsing packets.

More like above...

12:24:10 - [XINVENTORY SERVICES CONNECTOR]: Exception in GetFolderContent: Threa
d was being aborted.


12:24:36 - [UTIL]: Continuing after async_call_method thread terminated with exc
eption Collection was modified; enumeration operation may not execute. at Syst
em.ThrowHelper.ThrowInvalidOperationException(ExceptionResource resource)

(0024732)
aiaustin (developer)
2013-11-19 01:33
edited on: 2013-11-19 01:46

This short note for Justin I think.... there is a tiny issue in the Windows runprebuild.bat script that creates the contents of the compile.bat file. It adds two "\\" into the path.

%ValueValue% already has a \ on its end:

Value Value = C:\Windows\Microsoft.NET\Framework64\v4.0.30319\

So, for example on my setup, it creates this line of content:

C:\Windows\Microsoft.NET\Framework64\v4.0.30319\\msbuild opensim.sln

(0024745)
aiaustin (developer)
2013-11-20 03:37

As noted elsewhere by Zadark, the fix is that the downloaded zip file has to be "unblocked" to work properly under .NET 4.0 versus .NET 3.5

http://opensimulator.org/mantis/view.php?id=6853#c24729 [^]
(0024761)
justincc (administrator)
2013-11-22 18:54

Added <loadFromRemoteSources> lines to config files as of git master a68d1fa. If you substitute any *.exe.config files of your own then you will need to add this line manually.

- Issue History
Date Modified Username Field Change
2013-11-15 03:55 aiaustin New Issue
2013-11-15 03:56 aiaustin Note Added: 0024647
2013-11-15 08:45 aiaustin Additional Information Updated View Revisions
2013-11-15 08:57 aiaustin Description Updated View Revisions
2013-11-15 13:08 aiaustin Additional Information Updated View Revisions
2013-11-15 13:49 aiaustin Note Edited: 0024647 View Revisions
2013-11-15 16:02 justincc Note Added: 0024659
2013-11-16 02:00 aiaustin Note Added: 0024669
2013-11-16 02:55 greg0254 Note Added: 0024670
2013-11-16 02:57 aiaustin Note Added: 0024671
2013-11-16 03:00 aiaustin Note Added: 0024672
2013-11-16 03:01 aiaustin Note Edited: 0024672 View Revisions
2013-11-16 03:02 aiaustin Note Edited: 0024671 View Revisions
2013-11-16 03:06 aiaustin Note Added: 0024673
2013-11-16 03:06 aiaustin Note Edited: 0024673 View Revisions
2013-11-16 03:09 greg0254 Note Edited: 0024670 View Revisions
2013-11-16 03:11 greg0254 Note Added: 0024674
2013-11-16 03:12 greg0254 Note Edited: 0024674 View Revisions
2013-11-16 10:10 Bruce Note Added: 0024678
2013-11-16 10:10 Bruce Note Edited: 0024678 View Revisions
2013-11-16 14:42 Bruce Note Added: 0024684
2013-11-16 15:07 Bruce Note Edited: 0024684 View Revisions
2013-11-16 20:06 Bruce Note Edited: 0024678 View Revisions
2013-11-16 20:07 Bruce Note Edited: 0024678 View Revisions
2013-11-16 20:08 Bruce Note Edited: 0024684 View Revisions
2013-11-16 20:17 Bruce Note Added: 0024691
2013-11-16 21:14 Bruce Note Added: 0024695
2013-11-16 21:16 Bruce Note Edited: 0024695 View Revisions
2013-11-17 01:33 aiaustin Note Added: 0024697
2013-11-17 07:12 aiaustin Summary Build using .NET 4 Framework on running Robust.exe gives System.InvalidOperationException: Extension node not found => Build using .NET 4 Framework on running Robust.exe gives Add-in scan operation failed
2013-11-17 07:46 aiaustin Note Added: 0024703
2013-11-17 07:48 aiaustin Note Edited: 0024697 View Revisions
2013-11-17 07:48 aiaustin Note Edited: 0024697 View Revisions
2013-11-17 07:56 aiaustin Note Edited: 0024703 View Revisions
2013-11-17 08:02 aiaustin Note Edited: 0024697 View Revisions
2013-11-17 10:25 greg0254 Note Added: 0024704
2013-11-17 10:40 greg0254 Note Edited: 0024704 View Revisions
2013-11-17 11:09 aiaustin Note Added: 0024706
2013-11-17 11:31 aiaustin Note Added: 0024707
2013-11-17 11:33 aiaustin Description Updated View Revisions
2013-11-17 11:39 aiaustin Note Added: 0024708
2013-11-17 11:40 aiaustin Note Edited: 0024708 View Revisions
2013-11-17 11:40 Bruce Note Added: 0024709
2013-11-17 12:09 Bruce Note Edited: 0024709 View Revisions
2013-11-17 12:33 aiaustin Note Added: 0024711
2013-11-17 12:34 aiaustin Note Edited: 0024707 View Revisions
2013-11-17 12:34 aiaustin Note Edited: 0024708 View Revisions
2013-11-17 12:35 aiaustin Note Edited: 0024708 View Revisions
2013-11-17 12:36 aiaustin Note Edited: 0024711 View Revisions
2013-11-17 12:36 kenvc Note Added: 0024712
2013-11-17 13:01 aiaustin Note Edited: 0024711 View Revisions
2013-11-18 02:19 aiaustin Note Edited: 0024708 View Revisions
2013-11-18 02:19 aiaustin Note Edited: 0024711 View Revisions
2013-11-18 03:12 aiaustin Note Added: 0024719
2013-11-18 04:06 aiaustin Note Added: 0024722
2013-11-18 04:08 aiaustin Note Added: 0024723
2013-11-18 04:30 aiaustin Note Added: 0024724
2013-11-18 04:31 aiaustin Note Edited: 0024724 View Revisions
2013-11-18 07:24 aiaustin Note Edited: 0024724 View Revisions
2013-11-18 14:30 aiaustin Note Edited: 0024723 View Revisions
2013-11-19 01:33 aiaustin Note Added: 0024732
2013-11-19 01:34 aiaustin Note Edited: 0024732 View Revisions
2013-11-19 01:45 aiaustin Note Edited: 0024732 View Revisions
2013-11-19 01:46 aiaustin Note Edited: 0024732 View Revisions
2013-11-19 02:15 aiaustin Relationship added has duplicate 0006853
2013-11-20 03:37 aiaustin Note Added: 0024745
2013-11-20 03:38 aiaustin Note Edited: 0024723 View Revisions
2013-11-22 18:54 justincc Note Added: 0024761
2013-11-22 18:54 justincc Status new => resolved
2013-11-22 18:54 justincc Resolution open => fixed
2013-11-22 18:54 justincc Assigned To => justincc
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker